Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.
PUT /whatsapp/mira/settings
PUT
/api/v1/whatsapp/mira/settings
const url = 'https://api.pitch2sale.com/api/v1/whatsapp/mira/settings';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"mode":"off","watched_account_ids":["example"],"quiet_minutes":1,"business_hours":{"days":[1],"start":"example","end":"example","timezone":"example"},"handoff_keywords":["example"],"notify":"owner_else_team","auto_paused":true,"auto_daily_cap_per_contact":1,"auto_daily_cap_org":1,"takeover_hours":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.pitch2sale.com/api/v1/whatsapp/mira/settings \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "mode": "off", "watched_account_ids": [ "example" ], "quiet_minutes": 1, "business_hours": { "days": [ 1 ], "start": "example", "end": "example", "timezone": "example" }, "handoff_keywords": [ "example" ], "notify": "owner_else_team", "auto_paused": true, "auto_daily_cap_per_contact": 1, "auto_daily_cap_org": 1, "takeover_hours": 1 }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
mode
string
watched_account_ids
Array<string>
quiet_minutes
integer
business_hours
object
days
Array<integer>
start
string
end
string
timezone
string
handoff_keywords
Array<string>
notify
string
auto_paused
boolean
auto_daily_cap_per_contact
integer
auto_daily_cap_org
integer
takeover_hours
integer
Responses
Section titled “Responses”OK
Validation failed
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Authentication required or token invalid
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Feature not available on the organization plan
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Role permission or token scope missing; OAuth app tokens are not accepted on this route
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Rate limit exceeded
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}